-- ================================== 2021年4月需求start-2021-04-06 =================================
ALTER TABLE `shop`
    ADD COLUMN `website` VARCHAR(100) NULL COMMENT '公司网址' AFTER `ableRebateAmount`,
    ADD COLUMN `wxOfficialAccount` VARCHAR(20) NULL COMMENT '微信公众号' AFTER `website`,
    ADD COLUMN `wxApplets` VARCHAR(20) NULL COMMENT '微信小程序' AFTER `wxOfficialAccount`,
    CHANGE COLUMN `info` `info` VARCHAR(5000) NULL DEFAULT NULL COMMENT '介绍' ,
    CHANGE COLUMN `productDesc` `productDesc` VARCHAR(5000) NULL DEFAULT NULL COMMENT '主打产品说明' ;
-- ================================== 2021年4月需求end-2021-04-06 ===================================

-- ================================== 2021年9月 超级会员S_VIP start ==================================

-- 1. 超级会员套餐
CREATE TABLE `cm_svip_package`(
     `id` INT NOT NULL AUTO_INCREMENT,
     `name` varchar(50) DEFAULT NULL COMMENT '套餐名称',
     `price` FLOAT(11,2) NOT NULL COMMENT '套餐价格',
     `proportion` INT NOT NULL COMMENT '采美豆现金兑换比例',
     `duration` INT NOT NULL COMMENT '套餐时长（月）',
     `addTime` DATETIME DEFAULT NULL COMMENT '添加时间',
     `delFlag` CHAR(1) DEFAULT '0' COMMENT '删除标记 0否，其余是',
     PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4 COMMENT='超级会员套餐';

INSERT INTO `cm_svip_package` (`name`,`price`,`proportion`,`duration`,`addTime`) VALUES
     ('超级会员套餐-12个月', 4800.00, 100, 12, NOW()),
     ('超级会员套餐-3个月', 1500.00, 100, 3, NOW()),
     ('超级会员套餐-1个月', 600.00, 100, 1, NOW());

-- 2. 超级会员用户表
CREATE TABLE `cm_svip_user`(
     `id` INT NOT NULL AUTO_INCREMENT,
     `userId` bigint(11) DEFAULT NULL COMMENT '用户ID',
     `beginTime` DATETIME DEFAULT NULL COMMENT '生效时间',
     `endTime` DATETIME DEFAULT NULL COMMENT '到期时间',
     `delFlag` CHAR(1) DEFAULT '0' COMMENT '删除标记 0否，其余是',
     `updateTime` DATETIME DEFAULT NULL COMMENT '更新时间',
     PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4 COMMENT='超级会员用户表';

-- 3. 超级会员购买记录
CREATE TABLE `cm_svip_history`(
     `id` INT NOT NULL AUTO_INCREMENT,
     `userId` bigint(11) DEFAULT NULL COMMENT '用户ID',
     `packageId` bigint(11) DEFAULT NULL COMMENT '超级会员套餐ID',
     `beginTime` DATETIME DEFAULT NULL COMMENT '生效时间',
     `endTime` DATETIME DEFAULT NULL COMMENT '到期时间',
     `payStatus` char(1) DEFAULT '0' COMMENT '支付状态 0 未付款 1 已付款',
     `payWay` char(1) DEFAULT '0' COMMENT '用户付款方式：1线上，2线下，3余额抵扣，4采美豆抵扣',
     `payType` char(10) DEFAULT '0' COMMENT '付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付、16余额抵扣、17PC-B2C网银',
     `price` FLOAT(11,2) DEFAULT NULL COMMENT '支付金额',
     `userBeans` FLOAT(11,2) DEFAULT NULL COMMENT '抵扣采美豆数量',
     `payTime` DATETIME DEFAULT NULL COMMENT '购买时间',
     PRIMARY KEY (`id`)
) ENGINE=INNODB CHARSET=utf8mb4 COMMENT='超级会员购买记录';

-- 4. 超级会员优惠券
ALTER TABLE `cm_coupon`
    ADD COLUMN `vipFlag` CHAR(2) DEFAULT '0' COMMENT '超级会员专享优惠券标志：0否，1是' AFTER `couponType`;

CREATE TABLE `cm_svip_coupon` (
                                  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
                                  `couponId` int NOT NULL COMMENT '单张优惠券id',
                                  `montId` varchar(30) COLLATE utf8mb4_general_ci NOT NULL COMMENT '月份Id',
                                  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
                                  `delFlag` char(2) COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '删除标记，0未删除，其他删除',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='超级会员优惠券关联表';

CREATE TABLE `cm_svip_coupon_month` (
                                  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
                                  `useTime` varchar(30) COLLATE utf8mb4_general_ci NOT NULL COMMENT '生效月份',
                                  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
                                  `status` char(2) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '0关闭，1未关闭',
                                  `delFlag` char(2) COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '删除标记，0未删除，其他删除',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='超级会员优惠券月份表';

CREATE TABLE `cm_club_remarks` (
        `id` INT NOT NULL AUTO_INCREMENT,
        `clubId` INT NULL COMMENT '机构id',
        `serviceProviderId` INT NULL COMMENT '协销id',
        `remarks` TEXT NULL COMMENT '文字备注',
        `addTime` DATETIME NULL COMMENT '添加时间',
        PRIMARY KEY (`id`))
    COMMENT = '机构资料备注';

CREATE TABLE `cm_club_remarks_file` (
                                                 `id` INT NOT NULL AUTO_INCREMENT,
                                                 `remarksId` INT NULL COMMENT '机构备注id',
                                                 `fileType` INT NULL COMMENT '文件类型：1图片，2文件',
                                                 `fileName` VARCHAR(100) NULL COMMENT '文件名称',
                                                 `ossName` VARCHAR(45) NULL COMMENT 'oss名称',
                                                 `imageUrl` TEXT NULL COMMENT '图片路径',
                                                 PRIMARY KEY (`id`))
    COMMENT = '机构资料备注文件';

ALTER TABLE `club`
    ADD COLUMN `linkManIdentity` INT NULL COMMENT '联系人身份：1老板，2采购，3运营' AFTER `linkMan`;

-- ================================== 2021年9月 超级会员S_VIP end ==================================