package com.caimei365.user.mapper;

import com.caimei365.user.model.po.CmHeHeUserPo;
import com.caimei365.user.model.po.CouponSharePo;
import com.caimei365.user.model.po.UserPo;
import com.caimei365.user.model.vo.HeHeUserVo;
import org.apache.ibatis.annotations.Mapper;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/4/21
 */
@Mapper
public interface HeHeMapper {

    /**
     * 查询呵呵用户信息
     *
     * @param openId
     * @return
     */
    HeHeUserVo findHeHeUserByOpenId(String openId);

    /**
     * 根据手机号查询用户信息
     *
     * @param mobile
     * @return
     */
    HeHeUserVo findHeHeUserByMobile(String mobile);

    /**
     * 更新呵呵用户信息
     *
     * @param heHeUser
     */
    void updateHeHeUser(HeHeUserVo heHeUser);

    /**
     * 保存呵呵普通用户信息
     *
     * @param heUserPo
     */
    void insertHeHeUser(CmHeHeUserPo heUserPo);

    /**
     * 保存普通用户user信息
     *
     * @param user
     */
    void insertUser(UserPo user);

    /**
     * 获取进行中的优惠券Id
     * @param couponType    劵类型 1活动券 2专享券 3新人券 4好友分享券 5好友消费券
     * @return
     */
    String getCurrentCouponIds(int couponType);

    /**
     * 插入优惠券分享记录
     * @param couponSharePo
     */
    void insertCouponShare(CouponSharePo couponSharePo);
}
